petsc-3.4.2 2013-07-02

# KSPMonitorLGTrueResidualNormCreate

Creates a line graph context for use with KSP to monitor convergence of true residual norms (as opposed to preconditioned residual norms).

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPMonitorLGTrueResidualNormCreate(MPI_Comm comm,const char host[],const char label[],int x,int y,int m,int n,PetscDrawLG *draw)

Collective on KSP

### Input Parameters

| host | - the X display to open, or null for the local machine
| label | - the title to put in the title bar
| x, y | - the screen coordinates of the upper left coordinate of the window
| m, n | - the screen width and height in pixels

### Output Parameter

draw -the drawing context

### Options Database Key

-ksp_monitor_lg_true_residualnorm -Sets true line graph monitor

### Notes

Use KSPMonitorLGTrueResidualNormDestroy() to destroy this line graph, not PetscDrawLGDestroy().

### Keywords

KSP, monitor, line graph, residual, create, true

### See Also

KSPMonitorLGResidualNormDestroy(), KSPMonitorSet(), KSPMonitorDefault()

Level:intermediate
Location:src/ksp/ksp/interface/xmon.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages